Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable, overwriting user options

From: [email-masked]
Date: Sun, 29 Nov 2020 17:59:06 +0100

Correct, everything tells you it is part of Emacs.  Then one sends a report and people
start sending in in a long winded road to find the appropriate channel.

You look at "Emacs Asking for help" and "Emacs Reporting bugs" and you get only two things
[email-masked] and [email-masked].  Have been following discussions here
and people herd together telling others they are doing everything backwards. And insisting
everything is fine, makes serious people not happy at all.  I do not want to hurt anyone,
but there exists a wall between maintainers and users who basically use Gnu Tools to do
something else.

> Sent: Sunday, November 29, 2020 at 5:29 PM
> From: "Jean Louis" <[email-masked]>
> To: "Eli Zaretskii" <[email-masked]>
> Cc: [email-masked], [email-masked]
> Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable, overwriting user options
>
> * Eli Zaretskii <[email-masked]> [2020-11-29 18:08]:
> > Shouldn't this be reported to the Org developers?
>
> We have discussed that Org is part of Emacs and users shall be at all
> time welcome to report their bugs and pointers can be made how to
> closer report to Org mailing list. It makes it confusing to users, and
> is not logical. Org is part of Emacs so it is Emacs bug.
>
> While there is pointer under Org menu how to report the bug, it is not
> as obvious as "Help - Report Bug". So sometimes Org bugs will arrive
> here.
>
> Org bugs should be then simply forwarded to mailing list or tagged as
> being Org so that they may be picked up by mailing list.
>
> I find this more mailing list manager job to properly forward bugs.
>
> For Org one can submit {M-x org-submit-bug-report RET}
>
> For this bug, I do not think it is bug. Isn't it for all variables
> like that that when they are customized by user on top of the init
> file that they customization during the session will overwrite the
> customizations set by user on top of the init file?
>
> If this is so how I think, then users who do not want Emacs to
> overwrite their customization in init file should not use the
> customize for those variables. Then the user's customization will take
> effect.
>
> I do not see differences here with org-agenda.
>
> Are there any?
>